=== debian/changelog ===
lyx (2.5.0~RC2-3) unstable; urgency=medium

  [ Dr. Tobias Quathamer ]
  * Use --enable-build-type=release while building the RC
  * Move metainfo file to lyx package.
  * Add new patch to fix handling of \# in indexes.
    Thanks to Pavel Sanda <sanda@lyx.org> (Closes: #1124371)

  [ Pavel Sanda ]
  * Drop boost for 2.5.x.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 02 Jan 2026 22:21:14 +0100

lyx (2.5.0~RC2-1) unstable; urgency=medium

  * New upstream version 2.5.0~RC2
    - Refresh patches
  * Convert d/watch to v5
  * Change d/watch to use the release candidate of LyX
  * Remove Priority: optional from d/control
  * Update Standards-Version to 4.7.3

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 25 Dec 2025 16:04:53 +0100
