=== debian/control ===
Source: lyx
Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
Uploaders:
 Nick Andrik <nick.andrik@gmail.com>,
Section: editors
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 bc,
 libenchant-2-dev,
 libhunspell-dev,
 libmagic-dev,
 libmythes-dev,
 libqt5svg5-dev,
 libx11-dev,
 libz-dev,
 pkgconf,
 python3,
 qtbase5-dev (>= 5.6.0),
 tex-common,
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/debian/lyx
Vcs-Git: https://salsa.debian.org/debian/lyx.git
Homepage: https://www.lyx.org/

Package: lyx
Architecture: any
Breaks: lyx-common (<< 2.5.0~RC2-2)
Replaces: lyx-common (<< 2.5.0~RC2-2)
Depends:
 lyx-common (= ${source:Version}),
 xdg-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 docbook-xsl-ns,
 dvipng,
 evince | pdf-viewer,
 fonts-lyx,
 ghostscript,
 imagemagick,
 libtiff-tools,
 poppler-utils,
 preview-latex-style,
 psutils,
 texlive-fonts-recommended,
 texlive-latex-extra,
 texlive-latex-recommended,
 texlive-plain-generic,
 texlive-science,
 xsltproc,
Suggests:
 chktex,
 gnuhtml2latex,
 gnumeric,
 groff,
 latex2rtf,
 librsvg2-bin | inkscape,
 lilypond,
 maxima,
 noweb,
 r-cran-knitr,
 rcs,
 tex4ht | hevea | tth | latex2html,
 texlive-xetex,
 writer2latex,
 wv,
Description: document processor
 LyX is an almost WYSIWYG-frontend for LaTeX. It makes the power and
 typesetting quality of LaTeX available for people who are used to
 word processors. Since LyX supports LaTeX's concept of general
 mark-ups, it is even easier and faster to create professional quality
 documents with it than with usual word processors. It is also
 possible to use LaTeX commands within LyX, so nothing of LaTeX's
 power is lost.
 .
 You can extend the functionality of LyX by installing these packages:
  * chktex: check for typographical errors
  * gnuhtml2latex: import HTML documents
  * groff: improved table formatting in plain text exports
  * gnumeric: import spreadsheats
  * librsvg2-bin, inkscape: use the SVG image format in LyX documents
  * lilypond: support for musical sheets
  * maxima: integrated CAS support for equation evaluation
  * mythes-*: use the OpenOffice.org/LibreOffice Thesaurus
  * noweb, r-cran-knitr: use literate programming
  * rcs, cvs, svn, git: integrated version control
  * texlive-xetex/luatex: use the XeTeX/LuaTeX typesetting system
  * wv: import MS Word documents
  * xsltproc (or saxon with openjdk-17-jre), docbook-xsl: ePub export

Package: fonts-lyx
Architecture: all
Multi-Arch: foreign
Section: fonts
Depends:
 ${misc:Depends},
Description: TrueType versions of some TeX fonts used by LyX
 These fonts are needed for the visual math symbol display in
 LyX. They can also be used to display MathML in Gecko-based browsers
 like Firefox.
 .
 The following fonts are included in this package:
  * cmex10  - Computer Modern math extension
  * cmmi10  - Computer Modern math italic
  * cmr10   - Computer Modern Roman
  * cmsy10  - Computer Modern math symbols
  * esint10 - Alternate integrals
  * eufm10  - Euler Fraktur (medium-weight)
  * msam10  - Extra math symbols, first series
  * msbm10  - Extra math symbols, second series, including Blackboard Bold
  * wasy10  - Waldi symbol fonts

Package: lyx-common
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 lyx,
Breaks: lyx (<< 2.5.0~RC2-2)
Description: architecture-independent files for LyX
 This package contains LyX's common files which are not
 architecture-dependent. See the lyx package for a description of LyX
 itself.
